Bug 1468752 - kubelet requires --cgroup-driver=systemd in its conifguration
kubelet requires --cgroup-driver=systemd in its conifguration
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kubernetes (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Chaloupka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-07 16:07 EDT by Jason Brooks
Modified: 2017-07-16 16:20 EDT (History)
9 users (show)

See Also:
Fixed In Version: kubernetes-1.6.7-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-16 16:20:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Brooks 2017-07-07 16:07:41 EDT
Description of problem:

Fedora's docker configuration specifies `--exec-opt native.cgroupdriver=systemd` and the kubelet expects the cgroupfs driver. Starting with kube 1.6.x, this prevents the kubelet from starting on Fedora (and CentOS). The kubelet rpm provided by the upstream kubeadm effort adds `Environment="KUBELET_CGROUP_ARGS=--cgroup-driver=systemd"` to the unit: https://github.com/kubernetes/release/blob/master/rpm/10-kubeadm.conf#L8

This can also be worked around by adding `--cgroup-driver=systemd` to the `KUBELET_ARGS=` in `/etc/kubernetes/kubelet.`

See also https://github.com/kubernetes/kubernetes/issues/43805
Comment 1 Jan Chaloupka 2017-07-08 08:45:32 EDT
Fixing in the upstream repository first: https://github.com/kubernetes/contrib/pull/2659
Comment 2 Fedora Update System 2017-07-08 18:26:01 EDT
kubernetes-1.6.7-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-48014f1cad
Comment 3 Jason Brooks 2017-07-10 15:45:25 EDT
That fix in the ansible was being overwritten later in the script, this should fix that: https://github.com/kubernetes/contrib/pull/2663
Comment 4 Fedora Update System 2017-07-12 04:35:30 EDT
kubernetes-1.6.7-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-48014f1cad
Comment 5 Fedora Update System 2017-07-16 16:20:33 EDT
kubernetes-1.6.7-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.